Loading...
Searching...
No Matches
pappso::PappsoException Class Reference

`#include <pappsoexception.h>`

Inheritance diagram for pappso::PappsoException:

## Public Member Functions

| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual QException * | clone () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Private Attributes

QString | m_message
std::string | m_stdMessage

## Detailed Description

Definition at line 40 of file pappsoexception.h.

## Constructor & Destructor Documentation

## PappsoException() [1/2]

pappso::PappsoException::PappsoException | ( | const QString & | message | ) |
throw | ( | ) |  |  |

inline explicit

Definition at line 43 of file pappsoexception.h.

: m_message(QString("%1@%2: %3").arg(__FILE__, __FUNCTION__, message)),
m_stdMessage(m_message.toStdString())
{
}
pappso::PappsoException::m_message
QString m_message
Definition pappsoexception.h:82
pappso::PappsoException::m_stdMessage
std::string m_stdMessage
Definition pappsoexception.h:83

References m_message.

Referenced by PappsoException(), and clone().

## PappsoException() [2/2]

pappso::PappsoException::PappsoException | ( | const PappsoException & | other | ) |
throw | ( | ) |  |  |

inline

Definition at line 49 of file pappsoexception.h.

: m_message(other.m_message), m_stdMessage(other.m_stdMessage)
{
}

References PappsoException().

## ~PappsoException()

virtual pappso::PappsoException::~PappsoException | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 77 of file pappsoexception.h.

{
}

## Member Function Documentation

## clone()

virtual QException * pappso::PappsoException::clone | ( |  | ) | const

inline override virtual

Reimplemented in pappso::ExceptionInterrupted, pappso::ExceptionNotFound, pappso::ExceptionNotImplemented, pappso::ExceptionNotPossible, pappso::ExceptionNotRecognized, pappso::ExceptionOutOfRange, and pappso::XtandemError.

Definition at line 60 of file pappsoexception.h.

{
return new PappsoException(*this);
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition pappsoexception.h:43

References PappsoException().

## qwhat()

virtual const QString & pappso::PappsoException::qwhat | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 66 of file pappsoexception.h.

{
return m_message;
}

References m_message.

Referenced by pappso::cbor::psm::MzIdentMlReader::MzIdentMlReader(), pappso::PeptideFragmentIonListBase::PeptideFragmentIonListBase(), pappso::PeptideIsotopeSpectrumMatch::PeptideIsotopeSpectrumMatch(), pappso::cbor::psm::SageFileReader::SageFileReader(), pappso::XtandemHyperscore::XtandemHyperscore(), pappso::MsRunXicExtractorDiskBuffer::appendSliceInBuffer(), pappso::masschroq::MsRunPeptideList::collectPeptideMs2RetentionTime(), pappso::masschroq::MsRunPeptideList::collectPeptidePeakRetentionTime(), pappso::XtandemHyperscoreBis::computeXtandemHyperscore(), pappso::AaModification::createInstance(), pappso::TraceDetectionZivy::detect(), pappso::MzcborMsRunReader::fillMzcborSpectrum(), pappso::MsRunXicExtractorDiskBuffer::flushBufferOnDisk(), pappso::AaStringCodeMassMatching::getAaCodeFromMassWearingModification(), pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDdaPrecursors::getCombinedMs2ScansByPrecursorId(), pappso::XtandemHyperscore::getHyperscore(), pappso::XtandemHyperscoreBis::getHyperscore(), pappso::AaModification::getInstance(), pappso::AaModification::getInstanceMutation(), pappso::MassSpectrumWidget::getJsonPsmIsotope(), pappso::AaCode::getMass(), pappso::Protein::getMass(), pappso::TimsData::getMassSpectrumCstSPtrByGlobalScanIndex(), pappso::TimsFrameType1::getMassSpectrumSPtr(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsData::getQualifiedMassSpectrumByGlobalScanIndex(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::MsRunReader::getRetentionTimeLine(), pappso::TimsFrameType1::getScanIntensityList(), pappso::TimsFrameType1::getScanTofIndexList(), pappso::MsRunReader::getTicChromatogram(), pappso::TimsBinDec::getTimsFrameSPtrByOffset(), pappso::TimsMsFileReader::initialize(), pappso::operator>>(), pappso::specpeptidoms::SemiGlobalAlignment::perfectShiftPossible(), pappso::specpeptidoms::SemiGlobalAlignment::perfectShiftPossibleEnd(), pappso::specpeptidoms::SemiGlobalAlignment::preciseAlign(), pappso::MsRunXicExtractorDisk::prepareExtractor(), pappso::TimsDirectXicExtractor::protectedExtractXicCoordSPtrList(), pappso::TimsMsRunReaderMs2::qualifiedMassSpectrum(), pappso::PwizMsRunReader::qualifiedMassSpectrumFromPwizSpectrumPtr(), pappso::masschroq::MsRunPeptideList::quantifyMatchBetweenRun(), pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel(), pappso::masschroq::JsonInput::read_msrun_peptide_observations(), pappso::cbor::mzcbor::MzcborSpectrumCollectionReader::readSpectrum(), pappso::MzcborMsRunReader::readSpectrumCollectionWithMsrunReadConfig(), pappso::MsRunReader::scanNumber2SpectrumIndex(), pappso::TimsBinDec::startLinearRead(), pappso::MsRunXicExtractorDisk::unserializeSlice(), and pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## raise()

void pappso::PappsoException::raise | ( |  | ) | const

inline override

Definition at line 55 of file pappsoexception.h.

{
throw *this;
}

## what()

const char * pappso::PappsoException::what | ( |  | ) | const

inline override noexcept

Definition at line 72 of file pappsoexception.h.

{
return m_stdMessage.c_str();
}

References m_stdMessage.

Referenced by pappso::TimsDiaSlices::getCombinedMs2ScansByGlobalSliceIndex(), pappso::TimsDdaPrecursors::getCombinedMs2ScansByPrecursorId(), pappso::AaModification::getInstance(), pappso::AaModification::getInstanceMutation(), pappso::TimsDiaSlices::getMs1QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDiaSlices::getMs2QualifiedSpectrumByGlobalSliceIndex(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getXicCoordTimsFromPrecursorId(), pappso::MzcborMsRunReader::massSpectrumSPtr(), pappso::MzcborMsRunReader::qualifiedMassSpectrum(), pappso::MzcborMsRunReader::readSpectrumCollection(), and pappso::MzcborMsRunReader::readSpectrumCollection2().

## Member Data Documentation

## m_message

QString pappso::PappsoException::m_message

private

Definition at line 82 of file pappsoexception.h.

Referenced by PappsoException(), and qwhat().

## m_stdMessage

std::string pappso::PappsoException::m_stdMessage

private

Definition at line 83 of file pappsoexception.h.

Referenced by what().

The documentation for this class was generated from the following file:

- pappsomspp/core/pappsoexception.h